%global _source_filedigest_algorithm 1
%global _binary_filedigest_algorithm 1
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio
%define py_site_pkgs %(python -c "from distutils.sysconfig import get_python_lib as f;print f()")

Name: rhevm-migration-tool
Version: 3.0.0
Release: 20
License: Multiple Licenses
Summary: Migration tool from 2.2 to 3.0 for Red Hat Enterprise Virtualization Management
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/

Source0: rhevm_migration-root-3.0.0-sources.zip
Source1: root-3.0.0.pom
Source2: jsse_hack-1.0.0.jar
Source3: jsse_hack-1.0.0.pom
Source4: talendRoutines-4.2.2.r63143.jar
Source5: talendRoutines-4.2.2.r63143.pom
Source6: migrationETL-3.0.0.pom
Source7: migrationETL-3.0.0.jar
Source8: migration_sources-3.0.0.pom

BuildRequires: zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: java-1.6.0-sun
Requires: dom4j >= 1.6.1
Requires: postgresql >= 8.4.7
Requires: postgresql-server >= 8.4.7
Requires: postgresql-jdbc >= 8.4.701
Requires: python >= 2.6.6
Requires: python-psycopg2 >= 2.0.13
Requires: python-ldap >= 2.3.10
Requires: libxml2-python >= 2.7.6
Requires: rpm-python >= 4.8.0
Requires: openssl >= 1.0.0
Requires: rhevm >= 3.0.0

%description
Migration tool from 2.2 to 3.0 for Red Hat Enterprise Virtualization Management.

%prep

%setup -q -T -b 0 -n migration_tool_etl

%build
zip -r rhevm-migration-windows.zip README.txt rhevm-migration-windows.ps1 set-tables-to-rhev3

%install
rm -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_var}/log/rhevm/
%{__install} -d %{buildroot}%{_datadir}/%{name}
%{__install} -d %{buildroot}%{_datadir}/%{name}/lib
%{__install} -d %{buildroot}%{_sysconfdir}/rhevm/rhevm-migration

%{__install} -p -m 600 context_files/migration_tool/migrationtool_3_0/contexts/Default.properties %{buildroot}%{_sysconfdir}/rhevm/rhevm-migration

%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/lib
%{__install} -p -m 644 %{SOURCE4} %{buildroot}%{_datadir}/%{name}/lib
%{__install} -p -m 644 %{SOURCE7} %{buildroot}%{_datadir}/%{name}/lib

%{__install} -p -m 755 migration_etl.sh %{buildroot}%{_datadir}/%{name}
%{__install} -p -m 755 rhevm-migration-windows.zip %{buildroot}%{_datadir}/%{name}
%{__install} -p -m 755 rhevm-migration-linux.py %{buildroot}%{_datadir}/%{name}
%{__install} -p -m 755 rhevm-migration-validation.py %{buildroot}%{_datadir}/%{name}
cp -a  context_files/* %{buildroot}%{_datadir}/%{name}
cp -a  3rdparty/* %{buildroot}%{_datadir}/%{name}/lib

rm %{buildroot}%{_datadir}/%{name}/migration_tool/migrationtool_3_0/contexts/Default.properties

ln -s %{_sysconfdir}/rhevm/rhevm-migration/Default.properties %{buildroot}%{_datadir}/%{name}/migration_tool/migrationtool_3_0/contexts/Default.properties
ln -s %{_datadir}/%{name}/rhevm-migration-linux.py %{buildroot}%{_bindir}/rhevm-migration

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/rhevm/rhevm-migration
%{_datadir}/%{name}
%{_bindir}/rhevm-migration
%config(noreplace) %{_sysconfdir}/rhevm/rhevm-migration/Default.properties


%changelog
* Sat Jun 9 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.20
- Check CA certificate extensions (rhbz#827361)

* Wed May 23 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.19
- Generate ca.crt file in PEM format (rhbz#815417)
- Update manager SSH private key (rhbz#815417)

* Fri Jan 27 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Fix the VDSM registration configuration on hosts

* Wed Jan 25 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Remove empty line from the header of the verification script

* Tue Jan 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Use paging to count objects

* Wed Jan 12 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Migrate the CertificatePassword option

* Thu Jan 05 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Avoid comparisons of strings and UUID in SQL Server scripts
- Add tracing of steps in SQL Server scripts

* Fri Dec 30 2011 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Don't write passwords to the log file
- Support multiple trusted publisher certificates

* Mon Dec 26 2011 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Check domains before asking questions

* Thu Dec 22 2011 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Fix handling of nested tags

* Tue Dec 20 2011 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Added zip file containing the Windows materials

* Tue Dec 20 2011 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.0
- Added check of domains before starting the migration

* Thu Sep 08 2011 Yaniv Dary <ydary@redhat.com> - 3.0.0
- Initial build
- Based on rhevm reports spec
